Breaking Changes

iOS SDK Breaking Changes (2020-12-08)

From 1st Feb 2021 onwards, Amity's iOS SDK will no longer maintain versions which were built with Xcode version prior to 12, and v4.2 will be the first version with Xcode 12 support. Please kindly plan ahead and upgrade your iOS SDK version if you are using the versions prior to v4.2

What drove the change?

According to Apple’s announcement here, "Starting April 2021, all iOS and iPadOS apps submitted to the App Store must be built with Xcode 12 and the iOS 14 SDK."

When is the deadline I need to make the change?

  • From now to 31st Jan, no impact but it’s highly recommended to plan the upgrade.

  • From 1st Feb onwards, Amity will no longer provide customer support regarding iOS SDK versions prior to v4.2

  • From 1st Feb to 31st Mar, you will still be able to submit an updated version to App Store with Amity iOS SDK version prior to v4.2

  • From April onwards, you will NOT be able to submit an updated version to App Store with Amity iOS SDK version prior to v4.2

What’s the impact to my users who are currently using the app with Amity's iOS SDK version prior to v4.2?

There is no impact from the functionality wise for the users who are using your App under old Amity iOS SDK, but they will NOT be able to get any further updated version from App Store unless you submit a new version which is :

  • Built with Xcode 12

  • Built with iOS 14 SDK

  • Built with Amity iOS SDK v4.2